BlankWindow
Keywords: org.p2c2e.zing.BlankWindow class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class BlankWindow

    java.lang.Object
      org.p2c2e.zing.Window
          org.p2c2e.zing.BlankWindow

All Implemented Interfaces:
  java.lang.Comparable, java.util.EventListener, java.awt.event.MouseListener

public class BlankWindow
extends Window

Field Summary

Fields inherited from class org.p2c2e.zing.Window
`ABOVE, BELOW, BLANK, FIXED, GRAPHICS, LEFT, PAIR, PROPORTIONAL, RIGHT, root, TEXT_BUFFER, TEXT_GRID`

Constructor Summary
`BlankWindow(java.awt.font.FontRenderContext c)`

Method Summary
`protected int` | `getWindowType()`
`protected void` | `rearrange(java.awt.Rectangle r)`

Methods inherited from class org.p2c2e.zing.Window
`cancelCharacterInput, cancelLineInput, cancelMouseInput, clear, close, closeStream, compareTo, createHintedStyle, createHintedStyles, doLayout, focusHighlight, getEchoStream, getParent, getSibling, getSplit, getStream, getStyleMap, getWindowHeight, getWindowWidth, handleKey, isFocusStealable, isRequestingKeyboardInput, measureStyle, mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased, putChar, putString, requestCharacterInput, requestLineInput, requestMouseInput, restyle, setEchoStream, setStyle, split, unfocusHighlight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlankWindow

    public BlankWindow(java.awt.font.FontRenderContext c)

Method Detail

### getWindowType

    protected int getWindowType()

  Overrides:
    `getWindowType` in class `Window`

### rearrange

    protected void rearrange(java.awt.Rectangle r)

  Specified by:
    `rearrange` in class `Window`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD